Subject: Re: bug#55039: [PATCH] Use VC-relative file names in ChangeLog entries

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 11 Sep 2022 13:08:08 +0200

Philip Kaludercic <[email-masked]> writes:

> Perhaps this could also be used as an opportunity to update how buffer
> local variables are specified in general.  Are there any other issues
> that are known besides this one?

There was also discussion about whether to allow some variables to be
set before calling the mode function, and not afterwards.  Major modes
clear local variables, so they have to be set afterwards.  But some
major modes behave differently based on variable settings, so they
should be set first sometimes.

Being able to specify that would also be nice.